Za drogo? Ustaw alerty cenowe na e-booki i kupuj taniej!

Calibre nie widzi Twojego nowego czytnika? Być może musisz zaktualizować… Windows!

Kupiłeś nowy czytnik, a program Calibre go nie rozpoznaje? 

Dostałem w niedawnym czasie kilka razy pytanie, dlaczego Calibre „nie widzi” świeżo zakupionego Kindle Paperwhite 5 po podłączeniu go do komputera, podczas gdy z Paperwhite 3 lub 4 nie było problemu.

Krótka odpowiedź: zaktualizuj Calibre do najnowszej wersji (obecnie 5.43; link do strony pobierania), chyba że masz  na komputerze Windows 7 lub starszy – wtedy wcześniej musisz zaktualizować system.

Długa odpowiedź: wsparcie dla nowych modeli czytników dodawane jest do kolejnych wersji Calibre. Na przykład obsługa Paperwhite 5 pojawiła się w wersji 5.31.1, Tolino Vision 6 w 5.32, a Kobo Libra 2 w 5.30.

Calibre nie jest programem, który trzeba aktualizować co wersję – odradza to nawet sam autor. Bo kolejna wersja, która poprawia jakieś błędy, może wprowadzać kolejne. Dlatego jeśli wszystko nam działa, nie ma potrzeby zmian. Jeśli jednak nie działa – to przychodzi na to czas.

Być może posiadacze Kobo powinni aktualizować Calibre częściej, bo w informacjach What’s new co jakiś czas jest wzmianka o dostosowaniu sterowników do nowego oprogramowania czytnika. Należy też pamiętać o aktualizacji wtyczek do generowania plików KEPUB jeśli z nich korzystamy.

Niektórzy mogą mieć jednak problem z aktualizacją, wynikający z wymagań systemowych Calibre. Są one następujące.

  • Windows 8 lub wyższy (10, 11)
  • macOS 10.14 (Mojave) lub wyższy

Calibre zmienił wymagania wraz z wersją 4.0. którą omawiałem w 2019. Wtedy jednak wśród wymagań systemowych były „Windows 7, 8 i 10”. Teraz Windows 7 już nie ma, widocznie występowały jakieś problemy. W repozytorium githuba widzę, że autor wyłączył po cichu W7 jeszcze w sierpniu 2020, prawdopodobnie wraz z ogłoszoną wkrótce wersją 5.0.

Jeśli ktoś korzysta z Windows Vista lub 7, zalecanym przez autora rozwiązaniem jest instalacja Calibre w wersji 3.48, która to jednak wersja nie obsługuje nowych czytników. Na Windows 7 powinno dać się zainstalować wersję 4.x (do pobrania tutaj) – tyle, że ta pochodzi najpóźniej z 2020, niczego to więc nie rozwiązuje.

No, a osób korzystających z Windows 7 jeszcze sporo w Polsce znajdziemy. Z rankingu firmy Gemius wynika, że wśród użytkowników komputerów PC aż 13.62% ma jeszcze „siódemkę”.

Dlatego jeśli masz Windows 7, a nie wyobrażasz sobie e-czytelniczego życia bez Calibre – czeka Cię aktualizacja.

Dodam, że używanie starego systemu może przynieść więcej problemów niż tylko brak obsługi Calibre. Windows 7 nie jest już wspierany przez Microsoft i nie dostaje też aktualizacji bezpieczeństwa. Powinna być jednak wciąż dostępna możliwość bezpłatnej aktualizacji do Windows 10, dlatego jeśli nasz komputer jest w stanie to znieść wydajnościowo, warto taką aktualizację wykonać.

Czytaj dalej:

Artykuł był przydatny? Jeśli tak, zobacz 6 sposobów, na jakie możesz wspomóc Świat Czytników. Dziękuję!

Ten wpis został opublikowany w kategorii Korzystanie z Kindle i oznaczony tagami . Dodaj zakładkę do bezpośredniego odnośnika.
Hosting: Zenbox

17 odpowiedzi na „Calibre nie widzi Twojego nowego czytnika? Być może musisz zaktualizować… Windows!

  1. sylwek-torun pisze:

    a ja mam arch linuksa

    1
  2. Nie wiem, co robię źle, że u mnie widzi :) Pozostaje mi się cieszyć.

    1
  3. koniasz pisze:

    Natrafiłem na ten sam problem, nowy czytnik Paperwhite 5 i system Windowsie 7. Okazało się, że rozwiązaniem było ściągnięcie Calibre w wersji portable. Mam zainstalowaną wersję 5.42, która działa i widzi mój nowy czytnik.

    4
  4. WaldemarC pisze:

    Instalacja nawet najnowszej wersji Calibre na Win7 nie sprawi żadnego problemu po edycji pliku .msi za pomocą programu Orca i obniżeniu w pliku instalacyjnym wymagań co do wersji systemu. Nie miałem żadnych problemów przy instalacji Calibre 5 na Win7 , działał też bezproblemowo do czasu , aż padł mi dysk systemowy w listopadzie 2020… Ostatnią zainstalowaną na Win7 wersją Calibre była 5.5.
    Orca nadal jest do ściągnięcia, sprawdziłem.

    0
  5. Grzesinski pisze:

    Używam Calibre 5.43 na Windows 7 i 10. Na obu działa bez żadnych problemów. Nawet nie wiedziałem, że zmieniły się wymagania. Blokada musi być na poziomie instalatora. Program w wersji portable (pliki wyodrębnione z msi), której używam działa bez zająknięcia.
    Niestety najnowszego Kindle nie mam więc nie jestem w stanie nic powiedzieć o współpracy z tym czytnikiem.

    0
  6. kondrart pisze:

    Proponuje wrzucić portable stacjonarnie na W7-WXP i cieszyc sie dalej. Przypuszczam, ze zadziała.

    1

Dodaj komentarz

Twój adres e-mail nie zostanie opublikowany. Wymagane pola są oznaczone *

Przed dodaniem komentarza zapoznaj się proszę z zasadami komentowania i polityką prywatności

Komentarze do tego artykułu można śledzić także w formacie RSS.